org.jbpm.services.task.audit.service

## Interface TaskAuditService

- All Known Implementing Classes:
    TaskAuditServiceImpl

      public interface TaskAuditService

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.kie.internal.task.api.AuditTask>` | `getAllAdminAuditTasksByUser(String userId, org.kie.internal.query.QueryFilter filter)`
    `List<org.kie.internal.task.api.AuditTask>` | `getAllAuditTasks(org.kie.internal.query.QueryFilter filter)`
    `List<org.kie.internal.task.api.AuditTask>` | `getAllAuditTasksByStatus(String userId, org.kie.internal.query.QueryFilter filter)`
    `List<org.kie.internal.task.api.AuditTask>` | `getAllAuditTasksByUser(String userId, org.kie.internal.query.QueryFilter filter)`
    `List<org.kie.internal.task.api.AuditTask>` | `getAllGroupAuditTasksByUser(String userId, org.kie.internal.query.QueryFilter filter)`
    `List<org.kie.internal.task.api.model.TaskEvent>` | `getAllTaskEvents(long taskId, org.kie.internal.query.QueryFilter filter)`
    `List<org.kie.internal.task.api.model.TaskEvent>` | `getAllTaskEventsByProcessInstanceId(long processInstanceId, org.kie.internal.query.QueryFilter filter)`
    `void` | `setTaskService(org.kie.api.task.TaskService taskService)`

- - ### Method Detail

    - #### setTaskService

          void setTaskService(org.kie.api.task.TaskService taskService)

    - #### getAllTaskEvents

          List<org.kie.internal.task.api.model.TaskEvent> getAllTaskEvents(long taskId,
                                                                         org.kie.internal.query.QueryFilter filter)

    - #### getAllTaskEventsByProcessInstanceId

          List<org.kie.internal.task.api.model.TaskEvent> getAllTaskEventsByProcessInstanceId(long processInstanceId,
                                                                                            org.kie.internal.query.QueryFilter filter)

    - #### getAllAuditTasks

          List<org.kie.internal.task.api.AuditTask> getAllAuditTasks(org.kie.internal.query.QueryFilter filter)

    - #### getAllAuditTasksByUser

          List<org.kie.internal.task.api.AuditTask> getAllAuditTasksByUser(String userId,
                                                                         org.kie.internal.query.QueryFilter filter)

    - #### getAllGroupAuditTasksByUser

          List<org.kie.internal.task.api.AuditTask> getAllGroupAuditTasksByUser(String userId,
                                                                              org.kie.internal.query.QueryFilter filter)

    - #### getAllAdminAuditTasksByUser

          List<org.kie.internal.task.api.AuditTask> getAllAdminAuditTasksByUser(String userId,
                                                                              org.kie.internal.query.QueryFilter filter)

    - #### getAllAuditTasksByStatus

          List<org.kie.internal.task.api.AuditTask> getAllAuditTasksByStatus(String userId,
                                                                           org.kie.internal.query.QueryFilter filter)

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.